<?xml version="1.0" encoding="UTF-8"?>
<!-- By James Wake for InkChat-->

<!-- Menu Bar definition -->
<menuBar name="MainMenu" type="main"
		 show="true"
		 destroyable="false">
	<!-- Default Look and Feel Colors etc-->
	<styles>
		<button>
			<color>#EEE</color>
			<width>2cm</width>
		</button>
		<bar>
			<rowHeight>2cm</rowHeight>
		</bar>
	</styles>

	<!-- Item List -->
	<content>
		<controlGroup	name="fileMenu"
						icon="menus/icons/file_menu.svg"
						collapsed="true"
						toolTip="File Menu">
			<content>
				<button name="loadMenuItem"
						icon="menus/icons/load_menu.svg"
						hideOtherMenus="false"
						hideOtherSubMenus="true"
						toolTip="Open Load Menu">
					<menuBar type="sub">
						<content>
							<button name="loadFromDropbox"
								icon="menus/icons/dropbox.svg"
								function="getFileFromDropbox"
								enabled="true"
								toolTip="Load From Dropbox" />
							<button name="loadFromFile"
								icon="menus/icons/load_from_file.svg"
								function="loadFromFileDefaultCallback"
								toolTip="Load From File" />
							<button name="loadFromURL"
								icon="menus/icons/link.svg"
								function="defaultLoadFromURL"
								hideOtherSubMenus="true"
								toolTip="Load from URL">
								<!-- <menuBar type="sub"
										 hideOtherSubMenus="true">
									<content>
										<button name="loadImageFromURL"
											icon="menus/icons/image.svg"
											function="defaultLoadImageFromURLCallback"
											toolTip="Load Image from URL" />
										<button name="loadInkMLFromURL"
											icon="menus/icons/inkml_stylized.svg"
											function="defaultLoadInkMLFromURLCallback"
											toolTip="Load InkML from URL" />
										<button name="loadRoomDataFromURL"
											icon="menus/icons/binary_file.svg"
											function="defaultLoadRoomDataFromURLCallback"
											toolTip="Load RoomData from URL" />
										<button name="loadPDFFromURL"
											icon="menus/icons/pdf.svg"
											function="defaultLoadPDFFromURLCallback"
											toolTip="Load PDF From URL" />
									</content>
								</menuBar> -->
							</button>
						</content>
					</menuBar>
				</button>
				<button name="saveMenuItem"
						icon="menus/icons/save_menu.svg"
						hideOtherMenus="false"
						hideOtherSubMenus="true"
						toolTip="Open Save Menu">
					<menuBar type="sub">
						<content>
							<button name="saveToDropbox"
								icon="menus/icons/dropbox.svg"
								function="dummyFunction"
								enabled="true"
								hideOtherSubMenus="true"
								toolTip="Save To Dropbox">
								<menuBar type="sub"
										 hideOtherSubMenus="true">
									<content>
										<button name="saveToImage"
											icon="menus/icons/image.svg"
											function="saveCanvasToPNGDropbox"
											toolTip="Save To Image" />
										<button name="saveInkMLFile"
											icon="menus/icons/inkml_stylized.svg"
											function="saveTracesToInkMLDropbox"
											toolTip="Save as InkML" />
										<button name="saveRoomDataFile"
											icon="menus/icons/binary_file.svg"
											function="saveRoomToDropbox"
											toolTip="Save Room" />
									</content>
								</menuBar>
							</button>
							<button name="saveToFile"
								icon="menus/icons/save_to_file.svg"
								function="dummyFunction"
								hideOtherSubMenus="true"
								toolTip="Save To File">
								<menuBar type="sub"
										 hideOtherSubMenus="true">
									<content>
										<button name="saveToImage"
											icon="menus/icons/image.svg"
											function="saveCanvasToPNG"
											toolTip="Save To Image" />
										<button name="saveInkMLFile"
											icon="menus/icons/inkml_stylized.svg"
											function="saveTracesToInkML"
											toolTip="Save as InkML" />
										<button name="saveRoomDataFile"
											icon="menus/icons/binary_file.svg"
											function="saveRoomToFile"
											toolTip="Save Room" />
									</content>
								</menuBar>
							</button>
							<!-- <button name="saveToImage"
								icon="menus/icons/image.svg"
								function="saveToImageButtonDefaultCallback"
								toolTip="Save To Image" />
							<button name="saveInkMLFile"
								icon="menus/icons/inkml.svg"
								function="inkMLSaveButtonDefaultCallback"
								toolTip="Save as InkML" />
							<button name="saveRoomDataFile"
								icon="menus/icons/binary_file.svg"
								function="saveRoomDataButtonDefaultCallback"
								toolTip="Save Room" /> -->
						</content>
					</menuBar>
				</button>
<!-- 				<button name="mainMenuPaste"
						icon="menus/icons/paste.svg"
						function="pasteDefaultCallback" /> -->
				
				<button name="backgroundsMenuItem"
						icon="menus/icons/background_lined.svg"
						hideOtherMenus="false"
						hideOtherSubMenus="true"
						toolTip="Open Background Menu">
					<menuBar type="sub">
						<content>
							<button name="backgroundLinedPaper"
									icon="menus/icons/background_lined.svg"
									function="linedBackgroundDefaultCallback"
									toolTip="Set Lined Background"/>
							<button name="backgroundGridPaper"
									icon="menus/icons/background_grid.svg"
									function="gridBackgroundDefaultCallback"
									toolTip="Set Grid Background"/>
							<button name="staffBackgroundPaper"
									icon="menus/icons/background_music.svg"
									function="staffBackgroundDefaultCallback"
									toolTip="Set Staff Background"/>
							<button name="xoBackgroundPaper"
									icon="menus/icons/tictactoe.svg"
									function="xoBackgroundDefaultCallback"
									toolTip="Set Tic-Tac-Toe Background"/>
							<button name="clearBackground"
									icon="menus/icons/img_icon_close.svg"
									function="blankBackgroundDefaultCallback"
									toolTip="Clear Background" />
<!-- 							<button name="imageBackgroundPaper"
									icon="menus/icons/image.svg"
									function="imageBackgroundDefaultCallback"
									toolTip="Set Image Background"/> -->
						</content>
					</menuBar>
				</button>
				<button name="settingsMenuItem"
						icon="menus/icons/settings_menu.svg"
						function="loadSettingsButtonDefaultCallback"
						toolTip="Open Settings Menu" />
			</content>
		</controlGroup>

		<spacer name="mainSpacerMenuItem"
				width="fillParent" />

		<controlGroup 	name="brushTypes"
						icon="menus/icons/tools_menu.svg"
						selectionFunction="brushTypesSelectionFunction"
						selectionGroup="true"
						toolTip="Brushes">
			<content>
				<button name="brushTypesSelectionMenuItem"
						toolType="true"
						icon="menus/icons/tool_select.svg"
						function="selectionButtonDefaultCallback"
						toolTip="Selection" />

				<button name="brushTypesPointerMenuItem"
						toolType="true"
						icon="menus/icons/tool_pointer.svg"
						function="pointerButtonDefaultCallback"
						toolTip="Pointer" />
						
				<button name="brushTypesMathMenuItem"
						toolType="true"
						appDisabled="true"
						icon="menus/icons/tool_math.svg"
						function="mathToolButtonDefaultCallback"
						toolTip="Math" />

				<button name="brushTypesTextMenuItem"
						toolType="true"
						appDisabled="true"
						icon="menus/icons/tool_text.svg"
						function="textToolButtonDefaultCallback"
						toolTip="Text"
						hideOtherSubMenus="true">
					<menuBar name="textSettingsMain" type="sub">
						<content>
							<dropDownMenu width="100"
										  selectionFunction="onFontChangeDefaultCallback"
										  postDisplayCallback="updateFontView">
								<selection value="Courier New"
										   argument="Courier New"/>
								<selection value="Lucida Console"
										   argument="Lucida Console"/>
								<selection value="Book Antiqua"
										   argument="Book Antiqua"/>
								<selection value="Impact"
										   argument="Impact"/>
								<selection value="Helvetica"
										   argument="Helvetica"/>
								<selection value="Times New Roman"
										   argument="Times New Roman"/>
								<selection value="Verdana"
										   argument="Verdana"/>

							</dropDownMenu>
							<controlGroup	name="fontBoldItalicUnderlined"
											collapsed="false"
											collapsable="false">
								<content>
									<button name="fontSettingsBold"
											icon="menus/icons/bold.svg"
											function="toggleBoldDefaultCallback" 
											toolTip="Decrease Font Size"
											collapsedHide="false"
											hideOtherMenus="false"
											toggleSelect="true">
										<activeCode function="setBoldDefaultConfig" args="0"/>
									</button>
									<button name="fontSettingsItalic"
											icon="menus/icons/italic.svg"
											function="toggleItalicDefaultCallback" 
											toolTip="Decrease Font Size"
											collapsedHide="false"
											hideOtherMenus="false"
											toggleSelect="true">
										<activeCode function="setItalicDefaultConfig" args="0"/>
									</button>
									<button name="fontSettingsUnderlined"
											icon="menus/icons/underlined.svg"
											function="toggleUnderlinedDefaultCallback" 
											toolTip="Decrease Font Size"
											collapsedHide="false"
											hideOtherMenus="false"
											toggleSelect="true">
										<activeCode function="setUnderlinedDefaultConfig" args="0"/>
									</button>
								</content>
							</controlGroup>
							<button  name="fontDeceaseSize"
									 icon="menus/icons/minus.svg"
									 function="decreaseFontSizeDefaultCallback" 
									 toolTip="Decrease Font Size"
									 collapsedHide="false"
									 hideOtherMenus="false" />
							<button  name="fontIncreaseSize"
									 icon="menus/icons/plus.svg"
									 function="increaseFontSizeDefaultCallback" 
									 toolTip="Increase Font Size"
									 collapsedHide="false"
									 hideOtherMenus="false" />
							<textBox name="fontSettingsCurrentFontSize"
									 text="100%"
									 function="onFontSizeTextChangeDefaultCallback"
									 postDisplayCallback="setFontTextBoxValue" />
						</content>
					</menuBar>
				</button>
				<button name="brushTypesStrokeEraserMenuItem"
						toolType="true"
						icon="menus/icons/tool_eraser.svg"
						function="eraserButtonDefaultCallback"
						toolTip="Stroke Erase" />

				<button name="brushTypesLineToolMenuItem"
						toolType="true"
						icon="menus/icons/tool_line.svg"
						function="lineButtonDefaultCallback"
						toolTip="Line" />

				<button name="brushTypesDrawingToolMenuItem"
						toolType="true"
						icon="menus/icons/tool_pencil.svg"
						function="strokeButtonDefaultCallback"
						toolTip="Draw" />
			</content>
		</controlGroup>

		<controlGroup 	name="brushSettings"
						icon="menus/icons/brush_settings_menu.svg"
						toolTip="Brush Settings">
			<content>
				<button name="brushSettingsWidthMenuItem"
						icon="menus/icons/line_width.svg"
						function="widthMenuDropDownFunction"
						toolTip="Open Brush Width Menu">
						<menuBar name="brushSettingsWidth" type="sub" overrideWidth="true" destroyable="true" rows="5" overrideRows="true" collapsedHide="false">
							<content>
								<controlGroup name="widthMenuDropDownLocal" selectionGroup="true" collapsable="false"
											  selectionFunction="brushSettingsWidthSelection" showDividers="false">
									<content>
										<button name="widthSelectionOne" function="setLineWidthDefaultCallback" args="1" toolTip="1 pixels">
											<activeCode function="genLineWidthButton" args="1"/>
										</button>

										<button name="widthSelectionFive" function="setLineWidthDefaultCallback" args="5" toolTip="5 pixels">
											<activeCode function="genLineWidthButton" args="5"/>
										</button>

										<button name="widthSelectionTen" function="setLineWidthDefaultCallback" args="10" toolTip="10 pixels">
											<activeCode function="genLineWidthButton" args="10"/>
										</button>

										<button name="widthSelectionFifteen" function="setLineWidthDefaultCallback" args="15" toolTip="15 pixels">
											<activeCode function="genLineWidthButton" args="15"/>
										</button>

										<button name="widthSelectionCustom" function="dummyFunction" toolTip="Custom Width">
											<activeCode function="genLineWidthButton" args="customSlider"/>
										</button>
									</content>
								</controlGroup>
							</content>
						</menuBar>
				</button>
				<button name="brushSettingsOpacityMenuItem"
						icon="menus/icons/transparency.svg"
						function="transpMenuDropDownFunction"
						toolTip="Open Brush Opacity Menu">
						<menuBar name="brushSettingsTransp" type="sub" overrideWidth="true" destroyable="true" rows="5" overrideRows="true" collapsedHide="false">
							<content>
								<controlGroup name="transparencyMenuDropDownLocal" selectionGroup="true" collapsable="false"
											  selectionFunction="transpSettingsWidthSelection" showDividers="false">
									<content>
										<button
											 name="transparencySelection40" 
											 function="setTransparencyDefaultCallback" args="0.6" toolTip="60% transparency">
											<activeCode function="genLineTransButton" args="40"/>
										</button>

										<button
											 name="transparencySelection60" 
											 function="setTransparencyDefaultCallback" args="0.4" toolTip="40% transparency">
											<activeCode function="genLineTransButton" args="60"/>
										</button>

										<button
											 name="transparencySelection80"
											 function="setTransparencyDefaultCallback" args="0.2" toolTip="20% transparency">
											<activeCode function="genLineTransButton" args="80"/>
										</button>

										<button 
											 name="transparencySelection100"
											 function="setTransparencyDefaultCallback" args="0"
											 toolTip="0% transparency">
											<activeCode function="genLineTransButton" args="100"/>
										</button>

										<button
										     name="transparencySelectionCustom" 
											 function="dummyFunction" toolTip="Custom Transparency">
											<activeCode function="genLineTransButton" args="customSlider"/>
										</button>
									</content>
								</controlGroup>
							</content>
						</menuBar>
				</button>
				<button name="brushSettingsPaletteMenuItem"
						icon="menus/icons/color_palette.svg"
						function="dummyFunction"
						collapsedHide="false"
						toolTip="Open Color Palette">
					<activeCode function="paletteButtonColorSet" args="1"/>
					<menuBar name="paletteSubMenu" type="sub" overrideWidth="true">
						<content>
							<button function="dummyFunction" toolTip="Set color" hideOtherMenus="false">
								<activeCode function="genPaletteSelector" args="1"/>
							</button>
						</content>
					</menuBar>
				</button>
			</content>
		</controlGroup>

		<controlGroup 	name="undoRedo"
						icon="menus/icons/undo_redo_menu.svg"
						toolTip="Undo Menu">
			<content>
				<button name="undoButtonMenuItem"
						icon="menus/icons/undo.svg"
						function="undoButtonDefaultCallback"
						toolTip="Undo" />

				<button name="redoButtonMenuItem"
						icon="menus/icons/redo.svg"
						function="redoButtonDefaultCallback"
						toolTip="Redo" />

				<button name="clearButtonMenuItem"
						icon="menus/icons/clear.svg"
						function="clearButtonDefaultCallback"
						toolTip="Clear canvas" />
			</content>
		</controlGroup>

		<button name="hideMenuBar"
				icon="menus/icons/collapse.svg"
				toggleButton="true"
				toggledIcon="menus/icons/expand.svg"
				toolTip="Hide Menu Bar" />
	</content>
	<keyBindings>
		<bind keyCode="ctrl+c"
			  function="copyDefaultCallback" />
		<bind keyCode="ctrl+v"
			  function="pasteDefaultCallback" />
		<bind keyCode="ctrl+z"
			  function="undoButtonDefaultCallback" />
		<bind keyCode="ctrl+y"
			  function="redoButtonDefaultCallback" />
	</keyBindings>
</menuBar>
